package edu.uclm.esi.iso5.juegos.monopoly.dominio;

/**
 * Representa una casilla de tipo estacin, de las que hay en el Monopoly
 *
 */
public class Estacion extends CasillaConPrecio {

	/**
	 * Construye una instancia
	 * @param nombre	Nombre de la estacin
	 * @param precio	Precio de adquisicin
	 * @param posicion	Posicin dentro del tablero
	 */
	public Estacion(String nombre, double precio, int posicion) {
		super(nombre, posicion);
		this.precio=precio;
	}
	
	public double getTasaPorCaer() {
		int numeroDeEstacionesDelDueo=this.propietario.getNumeroDeEstaciones();
		switch (numeroDeEstacionesDelDueo) {
		case 1 : return this.getPrecio()/8;
		case 2 : return this.getPrecio()/4;
		case 3 : return this.getPrecio()/2;
		}
		return this.getPrecio();
	}
	
	public String toString() {
		return "\tEstacin " + this.nombre + "; precio=" + this.precio + "\n";
	}
}
